Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.hql.internal.ast.tree
Interface DisplayableNode

All Known Implementing Classes:
  AbstractMapComponentNode, AbstractRestrictableStatement, AbstractStatement, BinaryArithmeticOperatorNode, CollectionFunction, ComponentJoin, DeleteStatement, DotNode, FromClause, FromElement, FromReferenceNode, IdentNode, ImpliedFromElement, IndexNode, InsertStatement, IntoClause, MapEntryNode, MapKeyNode, MapValueNode, ParameterNode, QueryNode, SelectExpressionImpl, UpdateStatement

    public interface DisplayableNode

Implementors will return additional display text, which will be used by the ASTPrinter to display information (besides the node type and node text).

Method Summary
`String` | `getDisplayText()` Returns additional display text for the AST node.

Method Detail

### getDisplayText

    String getDisplayText()

  Returns additional display text for the AST node.

  Returns:
    String - The additional display text.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.